@import "reset";

$navbar-default-bg: #49BDFF;
$navbar-default-link-color: #fff;
@import "bootstrap";
@import "rich-TreeNode";
@import "gzl-fa-icons";

$modal-xl: 1300px !default;

@media (min-width: $screen-lg-min) {
  .modal-xl {
    width: $modal-xl;
  }
}

a:hover, a:focus {
  text-decoration: none;
}

.gzl-break-long-word {
  word-wrap: break-word;
  word-break: break-all;
}

.rf-dt {
  @extend .table;
  @extend .table-striped;
  @extend .table-hover;
  word-wrap: break-word;
}

/*never wrap table header*/
.rf-dt-shdr-c {
  white-space: nowrap;
  font-weight: bold;
}

.table > thead > tr > th, .rf-dt > thead > tr > th {
  vertical-align: top;
}

.gzl-menu-image {
  margin-right: 10px;
}

body > #gzl-container {
  padding: 10px 15px 60px;
  min-height: 100%;
}

body > #gzl-container-fluid.container-fluid {
 // To be defined if needed
}

.gzl-filter-checkboxes label {
  padding-right: 12px;
  padding-left: 2px;
}

.panel-title form {
  margin: 0;
}

.gzl-navbar .navbar-nav > li > a:hover,
.gzl-navbar .navbar-nav > li > a:focus{
  color: white !important;
  font-weight: bold;
}

.gzl-change-session-model .modal-body {
  padding-bottom: 20vh;
}


///////////  Sections Styles ////////////

  // back to top

.gzl-back-to-top{
  position: fixed;
  bottom: 60px;
  right: 9%;
  display: flex;
  flex-direction: column;
  text-align: center;
  cursor: pointer;
}

.gzl-back-to-top i {
  font-size: 40px;
  color: #bd3737;
}

.gzl-back-to-top span{
  color: #bd3737;
  font-weight: bold;
}

.gzl-filter-panel .form-group {
  margin-bottom: 3px;
}

.gzl-home-section {
  padding: 15px;
  transition: 0.2s;
}

.gzl-home-section span i{
  font-size: 17px;
  padding-inline: 10px;
}

.gzl-home-section:hover{
  box-shadow: 8px 4px 14px -2px;
}

.gzl-section-documentation {
  background-color: #f9f9f9;
}

.gzl-section-announcement {
  background-color: white;
  padding-top: 2%;
}

.gzl-section-tool-index {
  background-color: #1d1950;
  color: white;
  padding-top: 40px;
  padding-bottom: 40px;
}

.gzl-section-credits:hover{
  box-shadow: none;
}

.gzl-section-tool-index:hover{
  box-shadow: 8px 4px 14px 3px black;
}

.gzl-section-tool-index a{
  color: white;
  transition: 0.2s;
}

.gzl-section-tool-index a:hover, .gzl-section-credits a:hover{
  color: #e37839;
  text-decoration: none;
}

.gzl-section-tool-index .tool-index-header{
  display: inline;
  margin-left: 15px;
}

.gzl-section-tool-index .index-tool-content {
  margin-top: 25px;
  text-align: center;
}

.gzl-section-tool-index .hide-section-icon {
  transition: 0.2s;
}

.gzl-section-tool-index .hide-section-icon:hover {
  cursor: pointer;
  color: #e37839;
}

.gzl-section-tool-index span[aria-expanded=true] .glyphicon-chevron-down {
  display: none;
}

.gzl-section-tool-index span[aria-expanded=false] .glyphicon-chevron-up {
  display: none;
}


.gzl-section-credits {
  background-color: #f5f5f5;
  color: black;
  padding-bottom: 15px;
  text-align: center;
}

.gzl-section-credits .language-switch {
  float: right;
}

///////////  End of Sections Styles ////////////

///////////  Registration Page Styles ////////////

.gzl-registration{
  padding: 10px 20px;
}

.gzl-registration-organization-alert{
  margin-top: 40px;
}


.gzl-registration-sut,
.gzl-registration-attendees,
.gzl-registration-fees,
.gzl-registration-contract{
  background-color: #f9f9f9;
  margin-top: 35px;
  padding: 47px 0px;
  transition: 0.2s;
  border-radius: 15px;
}

.gzl-registration-sut:hover,
.gzl-registration-attendees:hover,
.gzl-registration-fees:hover,
.gzl-registration-contract:hover {
  box-shadow: 3px 4px 13px -5px;
}

.gzl-registration-sut-header,
.gzl-registration-attendees-header,
.gzl-registration-fees-header,
.gzl-registration-contract-header{
  margin-bottom: 15px;
}

.gzl-registration-sut-header h2,
.gzl-registration-attendees-header h2,
.gzl-registration-contract-header h2{
  display: inline;
}

.gzl-registration-sut-header .gzl-btn-green,
.gzl-registration-attendees-header .gzl-btn-green,
.gzl-registration-contract-header .gzl-btn-green{
  float: right;
}


.gzl-registration-organization-alert i,
.gzl-registration-alert i,
.gzl-registration-sut-message i,
.gzl-registration-attendees-message i,
.gzl-registration-contract-message i
{
  font-size: 17px;
  padding-inline: 10px;
}

.gzl-registration-sut-table,
.gzl-registration-attendees-table{
  padding: 35px;
}

.gzl-registration-sut-table tbody,
.gzl-registration-attendees-table tbody{
  background-color: white;

}

.gzl-registration-sut .gzl-sut-accepted i,
.gzl-registration-sut .gzl-sut-met-dependencies i{
  color: $brand-success;
  font-size: 17px;
  padding-inline: 10px;
}

.gzl-registration-sut .gzl-sut-pending i {
  color: $brand-warning;
  font-size: 17px;
  padding-inline: 10px;
}

.gzl-registration-sut .gzl-sut-missing-dependencies i {
  color: $brand-danger;
  font-size: 17px;
  padding-inline: 10px;
}

.gzl-sut-status-label {
  font-size: inherit !important;
}


///////////  End of Registration Page Styles ////////////

///////////  Progress Bar Styles ////////////

.gzl-progress-bar {
  margin-top: 35px;
  margin-bottom: 15px;
}

.gzl-progress-bar .wrap {
  width: 100%;
  height: 60px;
  z-index:-2;
  white-space: nowrap;
}
.gzl-progress-bar .phase-title {
  margin: 2px 0 0 0;
  font-weight: bold;
  font-size: 18px;
  color: white;
}

.gzl-progress-bar .phase-sub-title {
  font-size: 12px;
  color: #efefef;
  margin: -5px 0 0 0;
  text-transform: capitalize;
}

.gzl-progress-bar .wrap div:first-child{
  margin-left:-2%;
}

.gzl-progress-bar .gzl-progress {
  margin:0;
  margin-left:0.5%;
  height: 56px;
  width: 25%;
  position: relative;
  display: inline-block;
  text-align: center;
  line-height: 30px;
  transition: all 0.8s;

}
.gzl-progress-bar .gzl-progress:before,
.gzl-progress-bar .gzl-progress:after {
  content: "";
  position: absolute;
  transition: all 0.8s;
  z-index:-1;
}
.gzl-progress-bar .gzl-progress:before {
  height: 51%;
  width: 100%;
  top: 0;
  left: 0;
  -webkit-transform: skew(45deg);
  -moz-transform: skew(45deg);
  transform: skew(45deg);
  background: rgba(0, 0, 0, 0.2) linear-gradient(45deg, rgba(255, 255, 255, .15) 25%, transparent 25%,
          transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%, transparent 75%, transparent);
  background-size: 1rem 1rem;
}
.gzl-progress-bar .gzl-progress:after {
  height: 50%;
  width: 100%;
  top: 50%;
  left: 0;
  -webkit-transform: skew(-45deg);
  -moz-transform: skew(-45deg);
  transform: skew(-45deg);
  background: rgba(0, 0, 0, 0.2) linear-gradient(135deg, rgba(255, 255, 255, .15) 25%, transparent 25%,
          transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%, transparent 75%, transparent);
  background-size: 1rem 1rem;
}


.gzl-progress-in-progress:before,
.gzl-progress-in-progress:after{
  background-color: $brand-info !important;
  animation: progress-bar-stripes 1s linear infinite;
}

.gzl-progress-not-completed:before,
.gzl-progress-not-completed:after{
  background-color: $brand-warning !important
}

.gzl-progress-completed:before,
.gzl-progress-completed:after{
  background: $brand-success none !important;
}

.gzl-progress-completed:before {
  height: 53% !important;
}

.gzl-progress-default:before,
.gzl-progress-default:after{
  background-color: #d5d5d5 !important
}

.gzl-progress-default .phase-title,
.gzl-progress-default .phase-sub-title{
  color: black;
}

.gzl-progress-completed .phase-sub-title {
  font-weight: bold;
}

///////////  End of Progress Bar Styles ////////////

///////////  Home Cards Styles ////////////


.gzl-card {
  border-radius: 7px;
  background-color: #F5F5F5;
  padding: 30px;
  transition: 0.3s;
  margin: 3% 0px 20px 6%;
  min-height: 27vh;
}

.gzl-card:hover {
  box-shadow: 3px 4px 13px -5px;
}


.gzl-card .gzl-btn {
  margin-top: 10px;
}

.gzl-card-header {
  display: flex;
  justify-content: center;
}

.gzl-card-header i{
  font-size: 32px;
  margin-right: 10px;
}

.gzl-card-header span {
  font-size: 25px;
  font-weight: bolder;
}

.gzl-card-content ul{
  list-style: none;
  margin-top: 5px;
  margin-bottom: 5px;
}

.gzl-card-content {
  margin-top: 7px;
  margin-bottom: 15px;
  min-height: 7vh;
}

.gzl-card-content i{
  font-size: 17px;
  padding-inline: 10px;
}



/////////// End of Home Cards Styles ////////////


.form-inline .form-group, .form-inline .checkbox {
  margin: 0.5em 1em;
}

.navbar {
  margin-bottom: 0;
}

.navbar-brand {
  height: auto;
  padding: 5px 0 5px;
  margin: 0 0 0 15px;
}

.navbar-brand span {
  margin-left: 10px;
}

.navbar-right {
  margin: 0;
}

.navbar-header {
  float: none;
  border-bottom: 1px solid #7C8DC5;
}

.gzl-right-logo {
  margin-right: 15px;
  float: right;
}

@import "_gzl-sidebar";



.scrollup {
  z-index: 1040;
  padding: 4px;
  position: fixed;
  bottom: 38px;
  right: 10%;
  text-decoration: none;
  color: white;
  transition: 0.2s;
}

.scrollup:hover {
  color: #e37839;
}


.scrollup:after, .scrollup:before {
  bottom: 100%;
  left: 50%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
}

.scrollup:after {
  border-color: rgba(136, 183, 213, 0);
  border-bottom-color: #f5f5f5;
  border-width: 20px;
  margin-left: -20px;
}

.scrollup:before {
  border-color: rgba(194, 225, 245, 0);
  border-bottom-color: #ddd;
  border-width: 21px;
  margin-left: -21px;
}

footer {
  z-index: 1000;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 30px;
  background-color: #f5f5f5;
  border-top: 1px solid #ddd;
}

footer .nav > li {
  white-space: nowrap;
}

footer .nav > li > a {
  padding: 6px 15px;
}

.gzl-form-control {
  display: inline-block;
}

.gzl-inline-form-control {
  @extend .form-control;
  display: inline-block;
  padding: 0;
}

.dl-horizontal dt {
  text-align: left;
}

.dl-horizontal dd {
  word-wrap: break-word;
}

.gzl-dataScrollerPages {
  width: auto;
}

.gzl-never-wrap {
  white-space: nowrap;
}

.panel-footer input {
  margin-right: 10px;
}

.gzl-text-centered {
  text-align: center;
}

@import "gzl-buttons";

.gzl-text-blue {
  @extend .text-info;
}

.gzl-text-red {
  @extend .text-danger;
}

.gzl-text-orange {
  @extend .text-warning;
}

.gzl-text-green {
  @extend .text-success;
}

.gzl-alert-red {
  @extend .alert-danger;
}

.gzl-alert-orange {
  @extend .alert-warning;
}

.gzl-alert-blue {
  @extend .alert-info;
}

.gzl-alert-green {
  @extend .alert-success;
}

.gzl-alert {
  display: block;
  @extend .alert;
}

.gzl-label {
  @extend .label;
  font-size: 90%;
  text-shadow: 1px 1px 0px rgba(90, 90, 90, 0.5);
}

.gzl-label-green {
  @extend .label-success;
}

.gzl-label-red {
  @extend .label-danger;
}

.gzl-label-orange {
  @extend .label-warning;
}

.gzl-label-yellow {
  background-color: #dddd00;
}

.gzl-label-blue {
  @extend .label-info;
}

.gzl-label-default {
  @extend .gzl-label;
  color: black;
  text-shadow: initial;
}

.gzl-label-grey {
  @extend .label-default;
}

dd.gzl-dd-label {
  margin-top: 0.1em;
  margin-bottom: 0.3em;
}

@import "rich-FileUpload";
@import "gzl-report";
@import "rich-AutoComplete";

@import "rich-calendar";
@import "rich-inplaceInput";
@import "rich-pickList";

.gzl-isResizableVertical {
  resize: vertical;
}

.selectedNodeStyle {
  font-weight: bold;
}

.filterSingleValue {
  vertical-align: middle;
}

.form-inline .gzl-filter-control {
  display: inline-block;
}

.gzl-inline-table {
  width: 80%;
  display: inline;
}

div.modal-body {
  @media (min-width: 480px) {
    overflow-y: auto;
    max-height: 300px;
  }
  @media (min-width: 768px) {
    overflow-y: auto;
    max-height: 600px;
  }
  @media (min-width: 1080px) {
    overflow-y: auto;
    max-height: 800px;
  }
}

div.tab-content-with-border {
  padding: 1em;
  border: 1px solid $nav-tabs-border-color;
  border-top: none;
  border-bottom-left-radius: $border-radius-base;
  border-bottom-right-radius: $border-radius-base;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
}

.tab-content {
  padding-top: 10px;
}

.comment-meta {
  @extend .text-muted;
  float: right;
  font-size: $font-size-small;
}

.comment-item {
  border-bottom: solid 1px rgb(242, 242, 242);
  overflow: hidden;
  word-wrap: break-word;
}

.monitorPanelStyle {
  height: inherit;
}

.bg-primary a {

  color: $panel-primary-text;

  &:focus,
  &:hover {
    color: $link-hover-color;
  }
}

#graph_container svg {
  max-width: 100%;
}

// avoid tootip flickering in EVSClient's worldmap
#chart_div svg > g > g:last-child { pointer-events: none }

.test-status-color-1 {
  @extend .panel-success;
}

.test-status-color-2 {
  @extend .panel-danger;
}

.test-status-color-3 {
  @extend .panel-danger;
  background-color: #FFCCCC;
}

.test-status-color-4 {
  @extend .panel-warning;
}

.test-status-color-5, .test-status-color-6, .test-status-color-7, .test-status-color-8 {
  @extend .panel-danger;
  background-color: #E0E0E0;
}

.test-status-color- {
  @extend .panel-default;
  background-color: #FFFFFF;
}

.strong-border-grey {
  border-bottom: 2px solid rgba(0, 0, 0, 0.22);
}

.cat-aipo-row {
  border-top: 2px solid rgba(0, 0, 0, 0.40);
  background-color: rgba(197, 197, 243, 0.72) !important;
}

.gzl-field-message{
  margin-left: 10px;
}

.row-grey {
  background-color: #bbbbbb !important;
}

tr.gzl-error-row {
  background: #FFCCCC !important;
}

tr.gzl-warn-row {
  background: #FFDEA6 !important;
}

.dt-long-label{
  font-weight: bold;
  width: 20% !important;
}

.gzl-select-modal-overflow-visible {
  overflow: visible !important;
}

.DONE_PASSED, .PASSED, .passed, .Passed{
  @extend .gzl-label, .gzl-label-green;
  text-transform: uppercase;
}

.DONE_FAILED, .FAILED, .failed, .Failed{
  @extend .gzl-label,  .gzl-label-red;
  text-transform: uppercase;
}

.PENDING, .SKIPPED, .skipped, .Skipped{
  @extend .gzl-label,  .gzl-label-grey;
  text-transform: uppercase;
}

.DONE_UNDEFINED, .WARNING, .warning, .Warning, .ABORTED, .Aborted, .aborted, .UNKNOWN, .unknown, .Unknown{
  @extend .gzl-label,  .gzl-label-orange;
  text-transform: uppercase;
}

.IN_PROGRESS, .INFO, .Info, .info{
  @extend .gzl-label, .gzl-label-blue;
  text-transform: uppercase;
}

.gzl-cat-btn span{
  font-size: 22px;
}

.gzl-search-bar-btn span{
  font-size: 22px;
  margin-top: 5px;
}

.gzl_msg-btn span{
  font-size: 22px;
}

.gzl-float-right{
  float: right;
}

.gzl-list-participants-footer {
  margin-top: 15px;
}

.message-icon{
  margin-top: -6px;
}

.message-icon i{
  color: orange;
  font-size: 11px;
}

.message-icon span{
  display:flex;
  margin-top: -5px;
}

.gzl-search-form input{
  margin-top: -12px;
}

.gzl-monitor-btn span{
  font-size: 22px;
}

.gzl-col-count-2 {
  column-count: 2;
}

.gzl-height-100{
  height: 100%;
}

.XmlTreeRenderer .rf-trn-ico-lf:before,
.XmlTreeRenderer .rf-trn-ico-exp:before,
.XmlTreeRenderer .rf-trn-ico-colps:before {
  font-family:FontAwesome;
  top:0;
  left:-5px;
  padding-right:10px;
  content:"\f121"
}

.JsonTreeRenderer .rf-trn-ico-lf:before,
.JsonTreeRenderer .rf-trn-ico-exp:before,
.JsonTreeRenderer .rf-trn-ico-colps:before {
  font-family:FontAwesome;
  top:0;
  left:-5px;
  padding-right:10px;
}

.JsonTreeRenderer .json-node>.json-value {
  color: blue;
}
.JsonTreeRenderer .rf-trn-ico:before {
  content:"\f142";
}
.JsonTreeRenderer .rf-trn-ico-lf:before {
  content:"";
}
.JsonTreeRenderer .json-object-marker {
  color: lightgray;
}
.JsonTreeRenderer .json-array-marker,
.JsonTreeRenderer .json-array-index {
  color: yellowgreen;
}

.EmbeddedMediaTreeRenderer .rf-trn-ico,
.EmbeddedMediaTreeRenderer .rf-trn-hnd,
.EmbeddedMediaTreeRenderer .rf-trn-hnd-ldn-fct {
  display: none;
}

.rf-tab-hdr-act.rf-tab-hdr-btm {
  padding:3px 5px 0 5px;
  border-top:0;
  font-weight:bold;
  vertical-align:bottom;
  background-position:top;
  background-repeat:repeat-x;
  background-color:#FFF;
  cursor:default
}
.rf-tab-hdr-act.rf-tab-hdr-top {
  padding:.75em 2em;
  border-bottom:0;

  vertical-align:top;
  background-position:top;
  background-repeat:repeat-x;
  background-color:#f5f5f5;
  cursor:default;
  color: black;
  margin-right: 2px;
  line-height: 1.42857;
  border: 1px solid transparent;
  border-radius: 8px 8px 0 0;
}
.rf-tab-hdr-inact.rf-tab-hdr-btm {
  vertical-align:bottom;
  padding:3px 5px 0 5px;
  background-color:#f5f5f5
}
.rf-tab-hdr-inact.rf-tab-hdr-top {
  vertical-align:top;
  padding:.75em 2em;
  background-color:#FFF;
  /*! line-height: ; */
}
.rf-tab-hdr-inact.rf-tab-hdr-top:hover {
  background-color:#F5F5F5;
  border-radius: 8px 8px 0 0;
}
.rf-tab-hdr-dis.rf-tab-hdr-top {
  vertical-align:top;
  padding:0 5px 3px 5px;
  background-color:#FFF;
  color:#8db7f3;
  cursor:default
}
.rf-tab-hdr-dis.rf-tab-hdr-btm {
  vertical-align:bottom;
  padding:3px 5px 0 5px;
  background-color:#f5f5f5;
  color:#8db7f3;
  cursor:default
}
.rf-tab-hdr-tabline-vis.rf-tab-hdr-tabline-top {
  background-color:#FFF;
  border-color:#ddd;
  border-style:solid;
  border-width:0px;
  padding-top:2px;
  overflow:hidden;
  height:3em;
  white-space:nowrap;
  position:relative;
  color: #337ab7;
}
.rf-tab-hdr-tabline-vis.rf-tab-hdr-tabline-btm {
  background-color:#ecf4fe;
  border:#ddd;
  border-width:1px;
  border-style:solid;
  border-top-width:0;
  padding-bottom:2px;
  overflow:hidden;
  height:3em;
  white-space:nowrap;
  position:relative
}
.rf-tab-hdr-tabs {
  border:0;
  height:100%
}
.rf-tab-hortab-tabspcr-wdh {
  padding-left:1px
}
.rf-tab-hdr-act>.rf-tab-lbl{
  color: rgb(51,51,51);
}
.rf-tab-lbl {
  white-space:nowrap;
  color: #337ab7;
  font-size: 15px;
}
.rf-tab-hdn {
  display:none
}
.rf-tab-hdr-scrl-lft {
  position:absolute;
  top:1px;
  left:1px;
  width:15px;
  height:25px;
  border:1px solid #ddd;
  text-align:center;
  font-weight:bold;
  padding-top:6px
}
.rf-tab-hdr-scrl-rgh {
  position:absolute;
  top:1px;
  right:17px;
  width:15px;
  height:25px;
  border:1px solid #ddd;
  text-align:center;
  font-weight:bold;
  padding-top:6px
}
.rf-tab-hdr-tablst {
  position:absolute;
  top:1px;
  right:1px;
  width:15px;
  height:25px;
  border:1px solid #ddd;
  font-weight:bold;
  text-align:center;
  padding-top:2px
}
.rf-tab-hdr-brd {
  border:0px solid #ddd;
  border-top:0;
  height:0px;
  background:#ddd
}
.rf-tab-cnt {
  border:1px solid #ddd;
  padding:10px;
  background:#FFF
}

.document-viewer-options label {
  float: left;
  margin: 2px 10px 2px 20px
}